Ubuntu-9.04 Source Install

From MythTV Official Wiki
Jump to: navigation, search

Source Installation on Ubuntu 9.04 Jaunty Jackalope

See Ubuntu Installation Guides for installing on other Ubuntu versions.


Important.png Note: Based on Ubuntu-8.10_Source_Install. This is what I did to set up MythTV

Prerequisites

sudo apt-get install build-essential liblircclient-dev libasound2-dev libdts-dev libdvdnav-dev \
libxv-dev libxxf86vm-dev transcode libmp3lame-dev subversion qt4-dev-tools libqt4-dev libsamplerate0 \
libxvidcore4 liba52-0.7.4-dev libfame-dev libcdio-dev msttcorefonts libasound2-doc libmad0-dev \
libid3tag0-dev libvorbis-dev libflac-dev libcdaudio-dev libcdparanoia-dev libfftw3-dev libfaad-dev \
libsmpeg-dev libmp4v2-dev libtag1-dev mysql-server libvisual-0.4-dev libexif-dev 

If you want mythweb as well - you need

 sudo apt-get install apache2 php5 libapache2-mod-php5 php5-mysql

Downloading the source code

Create a directory

 $cd
 $mkdir programs
 $cd programs

Download the source code into a mythtv directory

 $git clone git://github.com/MythTV/mythtv.git mythtv
 $git checkout fixes/0.24b
 $cd mythtv

Compiling

MythTV

 $cd mythtv
 $./configure
 $make all
 $sudo make install

MythPlugins

 $cd ../mythplugins
 $./configure
 $make all
 $sudo make install

MythThemes

 $cd ../myththemes
 $./configure
 $sudo make install

Themes

 $cd ../themes
 $./configure
 $sudo make install

Configuring

Create database and give access

Important.png Note: Not sure of all the steps I did to make it work, but I think this should be it

 $mysql -u root -p
 >create database mythconverg;
 >GRANT ALL PRIVILEGES ON mythconverg.* TO 'mythtv'@'localhost' WITH GRANT OPTION;
 >set password for 'mythtv'@'%' = password('mythtv');
 >set password for 'mythtv'@'localhost' = password('mythtv');
 >flush privileges;


Important.png Note: To be continued...


Trouble-shooting

Cannot find -lGL

If you get this error during 'make all' for 'MythTV':

/usr/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status

You need to install the nvidia dev package. The easiest way is to try and install the virtual package, which will point you to some explicit packages. Install the one matching your current nvidia driver.


$ sudo apt-get install nvidia-glx-dev
     <...snipped...>
Package nvidia-glx-dev is a virtual package provided by:
  nvidia-glx-96-dev 96.43.10-0ubuntu1
  nvidia-glx-71-dev 71.86.08-0ubuntu1
  nvidia-glx-180-dev 180.44-0ubuntu1
  nvidia-glx-173-dev 173.14.16-0ubuntu1
You should explicitly select one to install.
E: Package nvidia-glx-dev has no installation candidate

$ sudo apt-get install nvidia-glx-180-dev
     <...snipped...>
The following packages will be REMOVED:
  libgl1-mesa-dev mesa-common-dev
The following NEW packages will be installed:
  nvidia-glx-180-dev
     <...snipped...>

Pulse Audio is running!!!

If you get this error when running mythfrontend:

ERROR: ***Pulse Audio is running!!!!***
ERROR: But MythTV has not been compiled with Pulse Audio disabling support. EXITING! 

You need to install the pulse dev package:

$sudo apt-get install libpulse-dev 

Then recompile mythtv. This time when you run ./configure the Pulse audio support will be indicated.